# Redeeming from other stablecoins

You can receive IDR to a bank account by redeeming other stablecoins, such as USDT and USDC. IDRX partners with third-party providers to enable the redemption of other stablecoins to Indonesian Rupiah. The process involves swapping the stablecoin through the partner’s API into IDRX and then burning it on-chain. Below is the list of supported tokens and partner APIs for each network:

<table><thead><tr><th>Network<select><option value="J8lvkEn668oH" label="Polygon" color="blue"></option><option value="Zr58hT1IBOVl" label="Base" color="blue"></option><option value="2qbzDFuItSCn" label="World Chain" color="blue"></option><option value="W3QsfpIQQOyA" label="BNB Chain" color="blue"></option><option value="oLcgBxho9Go7" label="Lisk" color="blue"></option><option value="6Z0KzLKWEXhp" label="Kaia" color="blue"></option></select></th><th>Token<select><option value="IpwKnC4yWI1q" label="USDT" color="blue"></option><option value="BJxUFSNMABw1" label="USDC" color="blue"></option><option value="4AMkv4KaOS2p" label="WLD" color="blue"></option><option value="UPAmJxQVqJFe" label="USDT0" color="blue"></option></select></th><th>Partner API</th></tr></thead><tbody><tr><td><span data-option="J8lvkEn668oH">Polygon</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="https://0x.org/">0x</a></td></tr><tr><td><span data-option="W3QsfpIQQOyA">BNB Chain</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="https://0x.org/">0x</a></td></tr><tr><td><span data-option="6Z0KzLKWEXhp">Kaia</span></td><td><span data-option="IpwKnC4yWI1q">USDT</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr><tr><td><span data-option="oLcgBxho9Go7">Lisk</span></td><td><span data-option="UPAmJxQVqJFe">USDT0</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr><tr><td><span data-option="Zr58hT1IBOVl">Base</span></td><td><span data-option="BJxUFSNMABw1">USDC</span></td><td><a href="http://li.fi/">Li.fi</a></td></tr></tbody></table>

Each bank account has a deposit address that is associated with it. You can send funds to this address to request a redemption to the bank account. Here's an example code to list your currently registered bank accounts.

{% hint style="info" %}
Check out [this page](/services/redeem-other-stablecoin.md) to see the list of supported other stablecoins.
{% endhint %}

{% hint style="info" %}

* The balance will be processed and credited to \`**`` bankAccount` ``** max 24 hours after your request is submitted.
* The minimum transaction is 2 USD.
* The maximum transaction is 5,555 USD
* Redeeming other stablecoins <= 5,555 USD will be processed in real-time
* For transactions of more than 5,555 USD send your request to <support@idrx.co> to be processed.
* IDRX is not responsible if a redeem error occurs due to an incorrect bank/e-wallet account number.
  {% endhint %}

```typescript
import { createSignature } from "./createSignature";
const axios = require('axios');

const apiKey = "{YOUR API KEY}";
const secret = "{YOUR SECRET}";

async function getBankAccounts() {
  const path = "https://idrx.co/api/auth/get-bank-accounts";

  const bufferReq = Buffer.from('', 'base64').toString('utf8');
  const timestamp = Math.round((new Date()).getTime()).toString();
  const sig = createSignature('GET', path, bufferReq, timestamp, secret);

  const res = await axios.get(path, {
    headers: {
      'Content-Type': 'application/json',
      'idrx-api-key': apiKey,
      'idrx-api-sig': sig,
      'idrx-api-ts' : timestamp,
    },
  });

  console.log('res.data: ');
  console.log(JSON.stringify(res.data, null, 4));
}

getBankAccounts();
```

After a successful request, you will get a response as follows:

```typescript
{
    "statusCode": 200,
    "message": "success",
    "data": [
        {
            "id": 108,
            "userId": 411,
            "bankAccountNumber": "5017332241",
            "bankAccountName": "JOHN SMITH",
            "bankAccountNumberHash": null,
            "bankCode": "014",
            "bankName": "BANK CENTRAL ASIA",
            "maxAmountTransfer": "100000000",
            "deleted": false,
            "DepositWalletAddress": {
                "walletAddress": "0x07C158ab29f23D0821e7D24B191c5e5d9d72738b",
                "createdAt": "2024-01-17T10:34:22.304Z"
            }
        },
        ...,
    ]
}
```

You can then send the other tokens to the wallet address associated with the bank account to initiate the process of redeeming IDR to the bank account. To get information about swap rates, you can use [this api](/api/transaction-api/get-api-transaction-rates.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idrx.co/integration/processing-redeem-idrx-requests/redeeming-from-other-stablecoins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
